-- PMDG 737-700 FS2020 Master Fire Warning and Caution Lights

-- V100

-- July 8 2022 - Initial Version

img_add_fullscreen("bg.png")

local gFire = false
local gMaster = false

local gImgFireOn = img_add("fire-on.png", 0, 0, 200, 100)
visible(gImgFireOn, false)

local gImgMasterOn = img_add("master-on.png", 0, 0, 200, 100)
visible(gImgMasterOn, false)

local gImgFireOff = img_add("fire-off.png", 0, 0, 200, 100)
local gImgMasterOff = img_add("master-off.png", 0, 0, 200, 100)

-- ========================== graphics ========================

function cbFirePressed()
  if gFire then
    img_move(gImgFireOn, 2, -2)
  else
    img_move(gImgFireOff, 2, -2)
  end
end
function cbFireReleased()
  if gFire then
    img_move(gImgFireOn, 0, 0)
  else
    img_move(gImgFireOff, 0, 0)
  end
  fs2020_event("ROTOR_BRAKE", 34701)
end

--button_add("visible-button.png", nil, 1, 1, 98, 98, cbFirePressed, cbFireReleased)
button_add(nil, nil, 1, 1, 98, 98, cbFirePressed, cbFireReleased)

function cbMasterPressed()
-- print("gMaster is "..tostring(gMaster))
  if gMaster then
    img_move(gImgMasterOn, 2, -2)
  else
    img_move(gImgMasterOff, 2, -2)
  end
end
function cbMasterReleased()
-- print("gMaster is "..tostring(gMaster))
  if gMaster then
    img_move(gImgMasterOn, 0, 0)
  else
    img_move(gImgMasterOff, 0, 0)
  end
  fs2020_event("ROTOR_BRAKE", 34801)
end

button_add(nil, nil, 101, 1, 98, 98, cbMasterPressed, cbMasterReleased)

-- ================ process aircraft states ===================

function ShowMaster()
-- print("gMaster is "..tostring(gMaster))
  visible(gImgMasterOff, not gMaster)
  visible(gImgMasterOn, gMaster)
end
fs2020_variable_subscribe("L:switch_3481_73X", "number", function(v) gMaster = (v==.5); ShowMaster() end)
-- fs2020_variable_subscribe("L:switch_3481_73X", "number", function(v) print("v is "..tostring(v)); gMaster = (v==.5); ShowMaster() end)

function ShowFire()
  visible(gImgFireOff, not gFire)
  visible(gImgFireOn, gFire)
end
fs2020_variable_subscribe("L:switch_3471_73X", "number", function(v) gFire = (v==.5); ShowFire() end)
